Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.management.security.authentication
Class IdentityAsserterImpl

    java.lang.Object
      weblogic.management.security.BaseMBeanImpl
          weblogic.management.security.ProviderImpl
              weblogic.management.security.authentication.AuthenticationProviderImpl
                  weblogic.management.security.authentication.IdentityAsserterImpl

public class IdentityAsserterImpl
extends AuthenticationProviderImpl

The base class of all identity assert mbean implementations. It extends the authetication provider mbean implementation and gives the authenticator's mbean implementation access to its configuration attributes.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`` | `IdentityAsserterImpl(ModelMBean base)` Class constructor specifying the corresponding required model mbean.
`protected` | `IdentityAsserterImpl(RequiredModelMBean base)`

Method Summary
`boolean` | `validateActiveTypes(String[] activeTypes)` Test that all specified entries are support types

Methods inherited from class weblogic.management.security.ProviderImpl
`getRealm`

Methods inherited from class weblogic.management.security.BaseMBeanImpl
`getProxy, getRequiredModelMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityAsserterImpl

    public IdentityAsserterImpl(ModelMBean base)
                         throws MBeanException

  Class constructor specifying the corresponding required model mbean.

Throws:
  `MBeanException` - Description of the Exception

### IdentityAsserterImpl

    protected IdentityAsserterImpl(RequiredModelMBean base)
                            throws MBeanException

Method Detail

### validateActiveTypes

    public boolean validateActiveTypes(String[] activeTypes)
                                throws InvalidAttributeValueException

  Test that all specified entries are support types

  Parameters:
    `activeTypes` - a String[] containing the proposed active types.
  Returns:
    a boolean indicating if all the active types are valid. Returns true if all the active types are non-null, non-empty strings and each active type is a supported type by this IdentityAsserter.
  Throws:
    `InvalidAttributeValueException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD